Bug 1313130 - Satellite does not validate IP field when subnet set to static boot
Satellite does not validate IP field when subnet set to static boot
Status: CLOSED DEFERRED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.1.7
x86_64 Linux
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 22:14 EST by madams
Modified: 2017-03-28 16:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-28 16:46:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description madams 2016-02-29 22:14:16 EST
Description of problem:

When provisioning a new host with a subnet that has Static selected as the default boot option, it is possible to leave the IP adddress field blank, but the rendered KS still attempts to configure the network device as Static but with an empty --ip= value.


Version-Release number of selected component (if applicable):

Satellite 6.1.7

How reproducible:

Very

Steps to Reproduce:
1. Define Subnet
2. Define Default boot mode as static for Subnet
3. Build New Host
4. Select previously defined Subnet
5. Leave the IP address blank.
6. Submit new host build.

Actual results:

Host is "built" without an IP address.

Expected results:

Error when clicking on submit that requires field be filled out.
Comment 1 Bryan Kearney 2016-07-26 15:03:06 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2017-03-28 16:46:33 EDT
I do not see us addressing this in the next few releases. I am therefore closing this out. If you feel that this is a mistake, please feel free to re-open with additional information.

Note You need to log in before you can comment on or make changes to this bug.